juzu.request

## Class Phase.Resource.Dispatch

- java.lang.Object
- - juzu.request.Phase.Resource.Dispatch

- All Implemented Interfaces:
    Dispatch
  Enclosing class:
    Phase.Resource

      public static class Phase.Resource.Dispatch
      extends Object
      implements Dispatch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Phase.Resource.Dispatch(juzu.impl.bridge.spi.DispatchBridge delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dispatch` | `escapeXML(Boolean escapeXML)`
    `Phase.Resource.Dispatch` | `setParameter(Encoding encoding, String name, String value)` Set a parameter on the URL that will be built by this builder.
    `Phase.Resource.Dispatch` | `setParameter(Encoding encoding, String name, String[] value)` Set a parameter on the URL that will be built by this builder.
    `Phase.Resource.Dispatch` | `setParameter(String name, String value)` Set a parameter on the URL that will be built by this builder.
    `Phase.Resource.Dispatch` | `setParameter(String name, String[] value)` Set a parameter.
    `<T> Dispatch` | `setProperty(PropertyType<T> propertyType, T propertyValue)` Set or clear a property of the URL.
    `String` | `toString()`
    `Dispatch` | `with(juzu.impl.common.MimeType mimeType)`
    `Dispatch` | `with(PropertyMap properties)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Phase.Resource.Dispatch

          public Phase.Resource.Dispatch(juzu.impl.bridge.spi.DispatchBridge delegate)

  - ### Method Detail

    - #### with

          public final Dispatch with(juzu.impl.common.MimeType mimeType)

      Specified by:
        `with` in interface `Dispatch`

    - #### with

          public final Dispatch with(PropertyMap properties)

      Specified by:
        `with` in interface `Dispatch`

    - #### escapeXML

          public final Dispatch escapeXML(Boolean escapeXML)

      Specified by:
        `escapeXML` in interface `Dispatch`

    - #### setProperty

          public final <T> Dispatch setProperty(PropertyType<T> propertyType,
                                 T propertyValue)
                                     throws IllegalArgumentException

      Description copied from interface: `Dispatch`
      Set or clear a property of the URL.
      Specified by:
        `setProperty` in interface `Dispatch`
      Type Parameters:
        `T` - the property generic type
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Returns:
        this URL builder
      Throws:
        `IllegalArgumentException` - if the property is not valid

    - #### setParameter

          public final Phase.Resource.Dispatch setParameter(String name,
                                             String value)
                                                     throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### setParameter

          public final Phase.Resource.Dispatch setParameter(Encoding encoding,
                                             String name,
                                             String value)
                                                     throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `encoding` - the character encoding
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### setParameter

          public final Phase.Resource.Dispatch setParameter(String name,
                                             String[] value)
                                                     throws NullPointerException,
                                                            IllegalArgumentException

      Description copied from interface: `Dispatch`
      Set a parameter. This method replaces the parameter with the given name . An zero length parameter value indicates that this parameter should be removed.

      The inserted value is cloned before its insertion in the map.
      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter or the value parameter is null
        `IllegalArgumentException` - if any component of the value is null

    - #### setParameter

          public final Phase.Resource.Dispatch setParameter(Encoding encoding,
                                             String name,
                                             String[] value)
                                                     throws NullPointerException

      Description copied from interface: `Dispatch`

      Set a parameter on the URL that will be built by this builder. This method replaces the parameter with the given name . A parameter value of `null` indicates that this parameter should be removed.

      Specified by:
        `setParameter` in interface `Dispatch`
      Parameters:
        `encoding` - the character encoding
        `name` - the parameter name
        `value` - the parameter value
      Throws:
        `NullPointerException` - if the name parameter is null

    - #### toString

          public final String toString()

      Specified by:
        `toString` in interface `Dispatch`
      Overrides:
        `toString` in class `Object`

Copyright © 2014 eXo Platform SAS. All rights reserved.